#region Using directives

using System;
using System.Text;
using System.Drawing;

#endregion

namespace BitmapHandler
{
    public class BitmapHandler : IDisposable
    {
        private Bitmap bmp;
        private Random rnd;

       // constructor
        public BitmapHandler(Bitmap bm)
        {
            bmp = bm;
            rnd = new Random();
        }

        // public properties
        public Bitmap ControlRef
        { get { return bmp; } }



        public Bitmap Value
        { get { return bmp;}}


        // public methods

        public int timer(int[]x, int[]y, int n, double spread)
        {
            int i;
            //if (n < 1) return n;
            for(i = 1 ; i<n ; i++)
            {
                bmp.SetPixel(x[i],y[i],Color.Black);
                x[i] = x[i] + (int)((2 * rnd.NextDouble() - 1) * spread);
                y[i] = y[i] + 1;
                if ( y[i] < 241)
                {                    
                    bmp.SetPixel(x[i],y[i],Color.Yellow);  
                }
                else
                {
                    x[i]=x[n];
                    y[i]=y[n];
                    n =n-1;
                } 
            }
            return n;
        }

        public void Dispose()
        {
            bmp = null;
        }
    }


}
